Bug 176063 - Cannot play sound with ALSA driver
Cannot play sound with ALSA driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-18 15:56 EST by Yurii Kantonistov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-13 11:05:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yurii Kantonistov 2005-12-18 15:56:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Cannot play a sample sound with ALSA drivers in FC4, architecture is x86_64



Version-Release number of selected component (if applicable):
2.6.14-1.1644_FC4; alsa-lib-1.0.10-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. aplay /tmp/ENG.WAV
  

Actual Results:  [root@ccc~]# aplay /tmp/ENG.WAV
ALSA lib conf.c:1592:(snd_config_load1) _toplevel_:51:23:No such file or directory
ALSA lib conf.c:2837:(snd_config_hook_load) /etc/alsa/cards/aliases.conf may be old or corrupted: consider to remove or fix it
ALSA lib conf.c:2700:(snd_config_hooks_call) function snd_config_hook_load returned error: No such file or directory
ALSA lib pcm.c:1969:(snd_pcm_open_conf) Invalid type for PCM default definition (id: default, value: cards.pcm.default)
aplay: main:544: audio open error: Invalid argument

Expected Results:  aplay should play the sample sound

Additional info:

[root@ccc~]# cat /proc/asound/cards
0 [CK804          ]: NFORCE - NVidia CK804
                     NVidia CK804 with ALC850 at 0xd2003000, irq 74
1 [Camera         ]: USB-Audio - Camera
                     Camera at usb-0000:00:02.0-1, full speed
---------------------------------------------------------------------------
[root@ccc~]# cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.10rc1 (Mon Sep 12 08:13:09 2005 UTC).
---------------------------------------------------------------------------

Contents of the etc/alsa/cards/aliases.conf:

#
#  Define aliases for various drivers
#

YMF724 cards.YMF744
YMF724F cards.YMF744
YMF740 cards.YMF744
YMF740C cards.YMF744
YMF754 cards.YMF744
CMIPCI cards.CMI8338
CMI8738 cards.CMI8338
CMI8738-SWIEC cards.CMI8338-SWIEC
CMI8738-MC4 cards.CMI8738-MC6
'E-mu APS' cards.EMU10K1
'GUS MAX' cards.GUS
'GUS ACE' cards.GUS
'GUS Extreme' cards.GUS
'AMD InterWave' cards.GUS
'Dynasonic 3-D' cards.GUS
'InterWave STB' cards.GUS
au8810 cards.AU8810
au8820 cards.AU8820
au8830 cards.AU8830
Prodigy71 cards.Aureon71
VIA82XX-MODEM cards.ICH-MODEM
'MPU-401 UART' cards.MPU-401
'VX222/Old' cards.VX222
'VX222/v2' cards.VX222
'VX222/Mic' cards.VX222
'CMI8330/C3D' cards.CMI8330
'SB AWE' cards.SBAWE
'SB Pro' cards.SBPro
'PMac Burgundy' cards.PMac
'PMac DACA' cards.PMac
'PMac Tumbler' cards.PMac
'PMac Snapper' cards.PMac
'PMac Screamer' cards.PMac
'PMac AWACS' cards.PMac
'PMac Toonie' cards.PMacToonie
'USB US-X2Y' cards.US-X2Y
'Serial MIDI' cards.SerialMIDI
'Prodif Plus' cards.ProdifPlus
ESM1 cards.ES1968
ES1978 cards.ES1968
Allegro cards.Maestro3
Canyon3D-2 cards.Maestro3
Azalia cards.HDA-Intel
aaci-pl041 cards.AACI

<confdir:pcm/default.conf>
<confdir:pcm/dmix.conf>
<confdir:pcm/dsnoop.conf>
Comment 1 Martin Stransky 2005-12-19 05:01:27 EST
Please re-login as a common user...
Comment 2 Yurii Kantonistov 2006-01-14 18:51:07 EST
Thanks, it works when logging in as non root user.

Note You need to log in before you can comment on or make changes to this bug.